         program makent

         character*21 out
         character*8 filename

         out='$Enter LIO-Filename: '
         write(6,2)out
2        format(a)
         read(5,2)filename

         call makentl(filename)

         end


         subroutine makentl(filename) 

         real rtime
         real dat(4)
         character*18 ctime,cdata(4)
         character*8 filename
         character*40 file
C
         parameter(npawc=500000)
	 common/pawc/hmemo(npawc)
C
         common /ntupr/ rtime, dat

         data ctime / 'min95:R' /
         data cdata / 'E1:R', 'E2:R', 'E3:R', 'E4:R' / 

         lin=41
         lout=42
         id=103
         call hlimit(npawc)
         file='platte30:[soho.nt]lio'//filename(4:8)//'.ntl'
         call hropen(lout,'NTUPLE',file,'N',1024,istat)
         call hbnt(id,'EPHIN LIO L1',' ')
         call hbname(id,'ntupr',rtime,ctime)
         call hbname(id,'ntupr',dat(1),cdata(1))
         call hbname(id,'ntupr',dat(2),cdata(2))
         call hbname(id,'ntupr',dat(3),cdata(3))
         call hbname(id,'ntupr',dat(4),cdata(4))
         file='platte30:[soho]'//filename//'.sci'
         open(unit=lin,file=file,form='formatted',type='old',readonly)
         ik=0
10       read(lin,*,err=20,iostat=ios)rtime,dat(1),dat(2),dat(3),dat(4)
         print*,rtime,dat(1),dat(2),dat(3),dat(4)
         ik=ik+1
         call hfnt(id)
         go to 10
20       call hrout(id,icycle,' ')
	 print*,' LIO:  C entries:  ',ik,'  ios:  ',ios
         call hrend('NTUPLE')
         close (lin)
         close (lout)
         end

